# RevivalBlessingPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class RevivalBlessingPhase

Sets the Party UI and handles the effect of Revival Blessing when used by one of the player's Pokemon.

#### Hierarchy (View Summary)

- BattlePhase
  - RevivalBlessingPhase

- Defined in src/phases/revival-blessing-phase.ts:17

##### Index

### Constructors

constructor

### Properties

user

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new RevivalBlessingPhase(user: PlayerPokemon ): RevivalBlessingPhase

  #### Parameters

  - user: PlayerPokemon

  #### Returns RevivalBlessingPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/revival-blessing-phase.ts:18

## Properties

### `Protected` user

user: PlayerPokemon

- Defined in src/phases/revival-blessing-phase.ts:18

## Methods

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/revival-blessing-phase.ts:22